org.codehaus.groovy.runtime

## Class ScriptTestAdapter

- java.lang.Object
- - org.codehaus.groovy.runtime.ScriptTestAdapter

All Implemented Interfaces:
  junit.framework.Test

    public class ScriptTestAdapter
    extends java.lang.Object
    implements junit.framework.Test

An adapter to make any Groovy Script class an instance of a JUnit Test

### Constructor Summary

Constructors
Constructor and Description
`ScriptTestAdapter(java.lang.Class scriptClass, java.lang.String[] arguments)`

### Method Summary

Methods
`int` `countTestCases()`
`void` `run(junit.framework.TestResult result)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScriptTestAdapter

    public ScriptTestAdapter(java.lang.Class scriptClass,
                     java.lang.String[] arguments)

### Method Detail

#### countTestCases

    public int countTestCases()

Specified by:
  `countTestCases` in interface `junit.framework.Test`

#### run

    public void run(junit.framework.TestResult result)

Specified by:
  `run` in interface `junit.framework.Test`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`